movie-make-title(1)

NAME
movie-make-title - Creates a title sequence that can be used to create a menu with movie-title

SYNOPSIS

movie-make-title -o output -s start_time -e end_time [-n animation] -m mode source_movie

DESCRIPTION
This program takes exactly one movie file in any format that mplayer understands and converts part of that file into a directory full of JPEG files and a WAV file that can be used by the movie-title program to create menus for DVDs with more than one movie on them.

The way this works is the following: this program rips part of the source movie and uses that ripped part as the animated background of the menu that movie-title will create. The foreground of the menus are rectangle with borders around them that act like little TV sets: they display the first few seconds of each movie on the DVD.

The best way to grasp how the system works is by trying it out for yourself.

OPTIONS
The following options are available:

-o output
    Specifies the name of the directory that should be created and will contain a large number of JPEG files and a WAV file for the audio of the title sequence. Personally, I usually use the name title (short and to-the-point).

-s start_time
    Specifies the starting time (in seconds) of the part of the source movie that you want to rip.

    I usually determine this time by playing the source movie with mplayer and then looking at the status line that mplayer continually updates at the moment that the clip that you want as a title starts. Then, I usually subtract about 5 seconds because mplayer is unable to seek to exact positions when ripping a part of a movie. Usually, the seeking resolution is about 5 to 10 seconds, and that is why I subtract 5 seconds.

    While the movie part is being ripped, the normal mplayer output will be displayed. If you see that mplayer starts at a time that is later than the start of your clip, press CTRL-C and restart the program with an earlier starting time.

-e end_time
    Specifies the ending time (in seconds) of the part of the source movie that you want to rip.

    I usually determine this time by playing the source movie with mplayer and then looking at the status line that mplayer continually updates at the moment that the clip that you want as a title ends. Then, I usually add about 5 seconds because mplayer is unable to stop at exact positions when ripping a part of a movie. Usually, the seeking resolution is about 5 to 10 seconds, and that is why I add 5 seconds.

    While the movie part is being ripped, the normal mplayer output will be displayed. If you see that mplayer ends at a time that is earlier than the end of your clip, restart the program with a later ending time.

-n animation
    Using this option, you can tell the program what kind of menu you would like to create. The possible arguments are none (which will cause a menu to be created that will have no previews of the movies, but will only display the background movie, the titles of the main movies and the navigation buttons), static (which will cause a menu to be created that will display a preview image of each movie, but that is not animated) and animated (which will cause a menu to be created that will display picture-in-picture animated previews of the movies).

    If you don't specify this option, the default will be animated.

-m mode
    Specify either pal or ntsc, depending on whether you are creating a PAL or NTSC DVD. NTSC is an American TV standard, PAL is usually used in Europe and other parts of the world.

DIAGNOSTICS
If this program is called with a incorrect set of parameters, it will print a diagnostic message telling the user what went wrong. Also, it will then print its usage information, listing all the options and their meanings.

If the program tells you "ERROR: Cannot find video size for file", this means that mplayer was unable to read the file or the file is stored in a format that it does not understand. In this case, movie-make-title will not be able to do its work for you.

The program tells you what it is doing while it is running.

POSTPROCESSING

Because the ripping of a part of a movie is not an exact science because of the seeking resolution that mplayer offers, you must edit the result of this program by hand. That means that you will have to remove any images that not belong at the start and end of your title sequence. Do not remove any images in the middle of the title sequence: any missing image will be seen as the end of the sequence.

I usually use the program xv (which is an image viewer for X windows, which you can download at http://www.trilon.com/xv/xv.html) to look at all the images in the directory that you specified with the -o option (in my case, I run xv title/*.jpg). Then I remove any images at the start of the sequence and at the end of the sequence that are not actually a part of the title sequence that I had in mind.

Just as the images have to be adjusted, the audio file that was produced will have to be edited as well. You will have to chop off the audio parts at the beginning and the end that you do not want. The file to edit is title.wav in the directory that you specified with the -o option. I usually edit the WAV file with sweep, a really nice audio editing program for X windows, which may be downloaded from http://sweep.sourceforge.net/.

EXAMPLE

The command line that I use most often is:

    movie-make-title -o title -m pal \
    -s 123 -e 234 input_file.avi

This command line simply takes the input file (in AVI format in this case) and converts it for use with movie-title. In this case, I'm ripping the part of the movie that starts at second 123 (two minutes and three seconds into the movie) and ends at second 234 (nearly four minutes into the movie).

SEE ALSO
videotrans(1), movie-title(1), movie-make-title-simple(1), movie-to-dvd(1), movie-compare-dvd(1), movie-rip-epg.data(1)

AUTHOR
The author is Sven Berkvens-Matthijsse (sven@berkvens.net). Please send any project related e-mail to videotrans@berkvens.net.

BUGS
None known. Please report any bugs to videotrans@berkvens.net!